// 云函数模板
// 部署：在 cloud-functions/login 文件夹右击选择 “上传并部署”

const cloud = require('wx-server-sdk')
const rq = require('request-promise');

// 初始化 cloud
cloud.init({
  // API 调用都保持和云函数当前所在环境一致
  env: cloud.DYNAMIC_CURRENT_ENV
})
const db = cloud.database();
/**
 * 这个示例将经自动鉴权过的小程序用户 openid 返回给小程序端
 * 
 * event 参数包含小程序端调用传入的 data
 * 
 */
exports.main = async (event, context) => {
   var params = {
     method:'GET',
     url:'https://api.weixin.qq.com/sns/jscode2session',
     qs:{
       appid: 'wxffc5658e61b18d3d',
       secret: 'c00aa8433d82df6652703b746776c412',
       js_code: event.code,
       grant_type: 'authorization_code',
     }
   };
  const wxContext = cloud.getWXContext();
  const result = await rq(params); // 获取到session_key open_id

  let users = await  db.collection('user').where({
    _openid: wxContext.OPENID
  }).get(); // 根据open_id拉取数据库用户信息
  //如果查询到一条数据
  if (users.data.length==0){
    db.collection('user').add({
      data:{
        _openid: wxContext.OPENID,
        nickName:event.nickName,
        avatarUrl: event.avatarUrl,
        gender: event.gender,
        province: event.province,
        city: event.city
      },
      success:(res)=>{
        console.log('插入用户成功');
        console.log(res);
      }
    })

    users = await db.collection('user').where({
      _openid: wxContext.OPENID
    }).get(); // 根据open_id拉取数据库用户信息

  }


  // 可执行其他自定义逻辑
  // console.log 的内容可以在云开发云函数调用日志查看
  // 获取 WX Context (微信调用上下文)，包括 OPENID、APPID、及 UNIONID（需满足 UNIONID 获取条件）等信息
  return {
    code:1,
    msg:'登录成功',
    data: users.data[0]
  }
}

