// 云函数入口文件
const cloud = require('wx-server-sdk')

cloud.init({
  env: cloud.DYNAMIC_CURRENT_ENV
})
const db = cloud.database();
// 云函数入口函数
exports.main = async (event, context) => {
  switch (event.action) {
    case 'edit': {
      return editShop(event)
    }
    case 'find': {
      return findShop(event)
    }
    default: {
      return
    }
  }
}

async function editShop(event){
  try{
    const result = await db.collection('shop').doc(event._id).update({
      data:{
        name:event.name,
        phone:event.phone,
        address:event.address,
        location:event.location,
        introduction:event.introduction,
        banners:event.banners,
        logo:event.logo
      }
    })

    if(result.errMsg == 'document.update:ok'){
      const shop = await findShop();
      console.log(shop);
      if(shop.code == 1){
        return {
          code: 1,
          data: shop.data,
          msg: '更新成功'
        }
      }
  
    }

    return {
      code: 0,
      data: null,
      msg: '更新失败'
    }

  }catch(e){
    return {
      code: 0,
      data: null,
      msg: '更新失败'
    }
  }
}

async function findShop(event) {
  const id = 'f3e016cd-9874-4ea8-a905-2dc4423c4723';
  try{
    const result = await db.collection('shop').doc(id).get();
    if (result.errMsg == 'document.get:ok'){
      return {
        code:1,
        data:result.data,
        msg:"查询成功"
      }
    }
    return {
      code: 1,
      data: null,
      msg: "查询失败"
    }

  }catch(e){
    return {
      code: 1,
      data: null,
      msg: "查询失败"
    }
  }
}