// miniprogram/pages/admin-foodList/addFood/addFood.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    files: [],
    categories: []
  },
  // 上传图片
  doUpload: function() {
    var that = this;
    // 选择图片
    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['album', 'camera'],
      success: function(res) {

        wx.showLoading({
          title: '上传中',
        })

        const filePath = res.tempFilePaths[0];
        console.log(filePath)
        // 上传图片
        const cloudPath = 'product-' + new Date().getTime() + filePath.match(/\.[^.]+?$/)[0]
        wx.cloud.uploadFile({
          cloudPath,
          filePath,
          success: res => {
            console.log('[上传文件] 成功：', res)
            that.files = [res.fileID];
            that.setData({
              files: [res.fileID]
            });

          },
          fail: e => {
            console.error('[上传文件] 失败：', e)
            wx.showToast({
              icon: 'none',
              title: '上传失败',
            })
          },
          complete: () => {
            wx.hideLoading()
          }
        })

      },
      fail: e => {
        console.error(e)
      }
    })
  },

  previewImage: function(e) {
    this.setData({
      show: true,
      currentIndex: 0
    })
  },

  /**
   * 保存食品
   */
  formSubmit(e) {
    console.log(e);
    const value = e.detail.value;
    const that = this;
    var params = {
      action: 'add',
      name: value.name,
      price: value.price,
      desc: value.desc,
      order: value.order,
      category_type: this.categories.find((val, index) => index == value.categoryIndex).category_type,
      img: this.files[0]
    }
    wx.showLoading({
      title: '正在添加...',
    })
    wx.cloud.callFunction({
      name: 'foodList',
      data: params,
      success(res) {
        if (res.result.code == 1) {
          wx.showToast({
            title: '添加成功',
            success() {
              that.setData({
                food: {},
                categoryIndex: null,
                files: []
              })
            }
          })

        }
      },
      fail() {
        wx.showToast({
          title: '添加失败',
          icon: 'fail'
        })
      },
      complete() {
        wx.hideLoading();
      }
    })

  },
  /**
   * 获取食品分类
   */
  getCategories() {
    var result = wx.getStorageSync('categories');

    this.categories = result;
    this.setData({
      categories: result,
      categoryIndex: 0
    })


  },
  bindCategoryChange(e) {
    console.log(e);
    var index = e.detail.value;
    this.setData({
      categoryIndex: index
    })
  },

  change(e) {
    console.log('current index has changed', e.detail)
  },
  deleteImg(e) {
    console.log('delete', e.detail.url)
    const that = this;
    wx.cloud.deleteFile({
      fileList: [e.detail.url],
      success: res => {
        // handle success
        console.log(res.fileList)
        wx.showToast({
          icon: 'none',
          title: '删除成功',
        })
        that.files = that.files.filter(v => v !== e.detail.url);
        that.setData({
          files: that.files
        })
      },
      fail: err => {
        wx.showToast({
          icon: 'none',
          title: '删除失败',
        })
      },
      complete: res => {

      }
    })
  },
  hide() {

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.getCategories();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})