// miniprogram/pages/admin-foodList/editFood/editFood.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    files: [],
    categories: [],
    food:{}
  },
  // 上传图片
  doUpload: function () {
    var that = this;
    // 选择图片
    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['album', 'camera'],
      success: function (res) {

        wx.showLoading({
          title: '上传中',
        })

        const filePath = res.tempFilePaths[0];
        console.log(filePath)
        // 上传图片
        const cloudPath = 'product-' + new Date().getTime() + filePath.match(/\.[^.]+?$/)[0]
        wx.cloud.uploadFile({
          cloudPath,
          filePath,
          success: res => {
            console.log('[上传文件] 成功：', res)
            that.files = [res.fileID];
            that.setData({
              files: [res.fileID]
            });

          },
          fail: e => {
            console.error('[上传文件] 失败：', e)
            wx.showToast({
              icon: 'none',
              title: '上传失败',
            })
          },
          complete: () => {
            wx.hideLoading()
          }
        })

      },
      fail: e => {
        console.error(e)
      }
    })
  },

  previewImage: function (e) {
    // wx.previewImage({
    //   current: e.currentTarget.id, // 当前显示图片的http链接
    //   urls: [e.currentTarget.id] // 需要预览的图片http链接列表
    // })
    this.setData({
      show: true,
      currentIndex: 0
    })
  },
  change(e) {
    console.log('current index has changed', e.detail)
  },
  deleteImg(e) {
    console.log('delete', e.detail.url)
    const that = this;
    wx.cloud.deleteFile({
      fileList: [e.detail.url],
      success: res => {
        // handle success
        console.log(res.fileList)
        wx.showToast({
          icon: 'none',
          title: '删除成功',
        })
        that.files = that.files.filter(v => v !== e.detail.url);
        that.setData({
          files: that.files
        })
      },
      fail: err => {
        wx.showToast({
          icon: 'none',
          title: '删除失败',
        })
      },
      complete: res => {

      }
    })
  },
  hide() {

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var id = options.id;
    this.getFood(id);
  },
  bindCategoryChange(e) {
    console.log(e);
    var index = e.detail.value;
    this.setData({
      categoryIndex: index
    })
  },
  getFood(id){
    const that = this;
    wx.showLoading({
      title: 'loading...',
    });
    wx.cloud.callFunction({
      name:'foodList',
      data:{
        action:'find',
        "_id":id
      },
      success(res){
        if(res.result.code == 1){
         that.categories = wx.getStorageSync('categories');
          that.food = res.result.data;
          that.files = [that.food.img];
          that.setData({
            food: that.food,
            categories: that.categories,
            categoryIndex: that.categories.findIndex(val => val.category_type == that.food.category_type),
            files: that.files
          })
        }
      },
      fail(){},
      complete(){
        wx.hideLoading();
      } 
    })
  },

  formSubmit(e) {
    console.log(e);
    const value = e.detail.value;
    const that = this;
    var params = {
      action: 'edit',
      name: value.name,
      price: value.price,
      desc: value.desc,
      order: value.order,
      category_type: this.categories.find((val, index) => index == value.categoryIndex).category_type,
      img: this.files[0],
      "_id": this.food._id
    }
    wx.showLoading({
      title: '正在更新...',
    })
    wx.cloud.callFunction({
      name: 'foodList',
      data: params,
      success(res) {
        if (res.result.code == 1) {
          wx.showToast({
            title: '更新成功',
            success() {
              wx.navigateBack();
            }
          })

        }
      },
      fail() {
        wx.showToast({
          title: '更新失败',
          icon: 'fail'
        })
      },
      complete() {
        wx.hideLoading();
      }
    })

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})