// miniprogram/pages/admin-foodList/admin-foodList.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    foodList:[]
  },
  slideButtonTap(e) {
    console.log('slide button tap', e)
    var id = e.currentTarget.dataset.id;
    if (e.detail.index == 0) { // 查看
       this.viewFood();
    } else if (e.detail.index == 1) { //编辑
      this.editFood(id);
    }else{
      this.delFood(id);
    }
  },

  editFood(id){
    wx.navigateTo({
      url: '../editFood/editFood?id=' + id,
    })
  },
  delFood(id){
    const that = this;
    wx.showModal({
      title: '确认删除吗',
      success() {
        wx.cloud.callFunction({
          name: 'foodList',
          data: {
            action: 'del',
            "_id": id
          },
          success(res) {
            if (res.result.code == 1) {
              wx.showToast({
                title: res.result.msg,
                success() {
                  that.getFoodList()
                }
              })
            }
          },
          fail() {
            wx.showToast({
              title: '删除失败',
              icon: 'fail'
            })
          }
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

    this.setData({
      slideButtons: [{
        text: '预览',
        src: '/images/svg/view.svg', // icon的路径
      }, {
          type: 'primary',
        text: '编辑',
        extClass: 'test',
          src: '/images/svg/edit.svg', // icon的路径
      }, {
        type: 'warn',
        text: '删除',
        extClass: 'test',
          src: '/images/svg/delete.svg', // icon的路径
      }],
    });

  },
  getFoodList(){
    const that = this;
    wx.showLoading({
      title: '正在获取...',
    });
    wx.cloud.callFunction({
      name:'foodList',
      data:{
        action:'findAllList'
      },
      success(res){
        if(res.result.code == 1){
          that.foodList = res.result.data;
          that.setData({
            foodList: res.result.data,
            loading:true
          })
        }
      },
      fail(){
        wx.showToast({
          title: '获取失败',
          icon:'fail'
        })
      },
      complete(){
        wx.hideLoading();
      }
    })
  },
  goAdd(){
    wx.navigateTo({
      url: '../addFood/addFood',
    })
  },
  onUnload: function () {
  
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
   
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getFoodList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})